
Smart Proxy - Bug #11653

stdout warning about use of "SYSLOG" logger on every startup

09/02/2015 06:42 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/315

  

Description

The smart proxy now warns about lack of syslog on some platforms on every startup, which is overly verbose, since #11323.

a) Formatting is messy with init scripts, see below.

b) "Ignoring" implies that it was asked to use syslog, but it isn't configured for that (it has the default file).

c) In a default configuration on Ruby 1.9.3, it's too verbose.

# service foreman-proxy restart

Restarting foreman-proxy: foreman-proxySetting log_file=SYSLOG not supported on this platform, ign

oring

.

Related issues:

Related to Smart Proxy - Refactor #11323: Refactor PID writing, interrupt tra... Closed 08/11/2015

Associated revisions

Revision e0497ca9 - 09/04/2015 08:33 AM - Dmitri Dolguikh 

fixes #11653: only display warning message about unavailability of 'SYSLOG' when it was configured

History

#1 - 09/02/2015 06:42 AM - Dominic Cleal

- Related to Refactor #11323: Refactor PID writing, interrupt trap and daemon logging added

#2 - 09/02/2015 07:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/315 added

- Pull request deleted ()

#3 - 09/04/2015 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e0497ca9b3ab7d0be272847c2cbdae9850cc6e1d.
